arllinux 5 years ago
parent
commit
3bfd9467f2

+ 1 - 0
kdenlive/.gitignore

@@ -0,0 +1 @@
+kdenlive_*.tar.bz2

+ 8 - 0
kdenlive/README

@@ -0,0 +1,8 @@
+Kdenlive is an intuitive and powerful multi-track video editor including
+most recent video technologies.
+
+If you do not have the KDE desktop installed, you will need at least
+these two packages:
+
+kdelibs
+kdebase

+ 2 - 0
kdenlive/amrnb/.gitignore

@@ -0,0 +1,2 @@
+amrnb-*.tar.bz2
+26104-b00.zip

+ 8 - 0
kdenlive/amrnb/README

@@ -0,0 +1,8 @@
+amrnb - AMR Narrow Band Speech Codec
+
+This library is an effort to link against the amrnb-codec,
+standardized by the 3GPP, and used in modern mobile-phones
+when recording video or speech, for example.
+
+The library itself is actually just a wrapper around the original
+code released by 3GPP.

+ 1 - 0
kdenlive/amrnb/amrnb-11.0.0.0.tar.bz2.md5

@@ -0,0 +1 @@
+673ab645f61d1c830b6429a5ba76bb1f  amrnb-11.0.0.0.tar.bz2

+ 103 - 0
kdenlive/amrnb/amrnb.SlackBuild

@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for amrnb
+
+# Copyright 2007-2014 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by jpantinoux arllinux <sloteur@free.fr>
+
+PRGNAM=amrnb
+VERSION=${VERSION:-11.0.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_arllinux}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/arllinux}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+set -e
+
+if [ ! -r $PRGNAM-$VERSION.tar.bz2 ] ; then
+  wget -c $PRGNAM-$VERSION.tar.bz2
+fi
+
+md5sum -c $PRGNAM-$VERSION.tar.bz2.md5
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+cp $CWD/26104-b00.zip .
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+  -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --enable-shared \
+  --disable-static \
+  --localstatedir=/var \
+  --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}

+ 12 - 0
kdenlive/amrnb/amrnb.info

@@ -0,0 +1,12 @@
+PRGNAM="amrnb"
+VERSION="11.0.0.0"
+HOMEPAGE="http://www.penguin.cz/~utx/amr"
+DOWNLOAD="http://www.penguin.cz/~utx/ftp/amr/amrnb-11.0.0.0.tar.bz2 \
+          http://www.3gpp.org/ftp/Specs/archive/26_series/26.104/26104-b00.zip"
+MD5SUM="673ab645f61d1c830b6429a5ba76bb1f \
+        b88fd1ca1fd23e24be1cc70f3227b3e1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"

+ 19 - 0
kdenlive/amrnb/slack-desc

@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+     |-----handy-ruler------------------------------------------------------|
+amrnb: amrnb (AMR Narrow Band Speech Codec)
+amrnb:
+amrnb: 3GPP Adaptive Multi-Rate Floating-point (AMR)
+amrnb: Speech Codec Shared Library. This codec is for
+amrnb: example used in mobile-phones.
+amrnb:
+amrnb: Homepage: http://www.penguin.cz/~utx/amr
+amrnb:
+amrnb:
+amrnb:
+amrnb:

+ 1 - 0
kdenlive/dvgrab/.gitignore

@@ -0,0 +1 @@
+dvgrab-*.tar.gz

+ 7 - 0
kdenlive/dvgrab/README

@@ -0,0 +1,7 @@
+dvgrab receives audio and video data from a digital camcorder via an
+IEEE1394 (widely known as FireWire) link and stores them into one of
+several file formats. It features autosplit of long video sequences,
+and supports saving the data as raw frames, AVI type 1, AVI type 2,
+Quicktime DV, or a series of JPEG stills.
+
+libquicktime is an optional dependency.

+ 1 - 0
kdenlive/dvgrab/dvgrab-3.5.tar.gz.md5

@@ -0,0 +1 @@
+b39a242ce63e80fc347ab59931f75649  dvgrab-3.5.tar.gz

+ 109 - 0
kdenlive/dvgrab/dvgrab.SlackBuild

@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for dvgrab
+
+# Copyright 2008-2009  Murat D. Kadirov <banderols@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by jpantinoux arllinux <sloteur@free.fr>
+
+PRGNAM=dvgrab
+VERSION=${VERSION:-3.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_arllinux}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/arllinux}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+set -e
+
+if [ ! -r $PRGNAM-$VERSION.tar.gz ] ; then
+  wget -c $PRGNAM-$VERSION.tar.gz
+fi
+
+md5sum -c $PRGNAM-$VERSION.tar.gz.md5
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --mandir=/usr/man \
+  --docdir=/usr/doc/$PRGNAM-$VERSION \
+  --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+  $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}

+ 10 - 0
kdenlive/dvgrab/dvgrab.info

@@ -0,0 +1,10 @@
+PRGNAM="dvgrab"
+VERSION="3.5"
+HOMEPAGE="http://www.kinodv.org/"
+DOWNLOAD="http://downloads.sourceforge.net/kino/dvgrab-3.5.tar.gz"
+MD5SUM="b39a242ce63e80fc347ab59931f75649"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libavc1394 libdv libiec61883"
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"

+ 19 - 0
kdenlive/dvgrab/slack-desc

@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+      |-----handy-ruler------------------------------------------------------|
+dvgrab: dvgrab (DV video and audio data via IEEE1394 links)
+dvgrab:
+dvgrab: dvgrab is a program that captures DV video and audio data from  digital
+dvgrab: camcorders  via  an  IEEE1394  link.  (IEEE1394 is also known under the
+dvgrab: various trademarks FireWire, i.Link, or Lynx.) The DV data is stored in
+dvgrab: one  or several files and can later be processed by video editing soft-
+dvgrab: ware.  dvgrab can remote control the camcorder but it does not show the
+dvgrab: video's content on screen.
+dvgrab:
+dvgrab: Homepage: http://www.kinodv.org/
+dvgrab:

+ 1 - 0
kdenlive/faad2/.gitignore

@@ -0,0 +1 @@
+faad2-*.tar.bz2

+ 5 - 0
kdenlive/faad2/README

@@ -0,0 +1,5 @@
+Faad2 is the fastest ISO AAC audio decoder available.
+Faad2 correctly decodes all MPEG-4 and MPEG-2 MAIN, LC (Low Complexity),
+HE (High Efficiency), LTP (Long Term Prediction), LD (Low Delay), and
+ER (Error Resiliency) object type AAC files.
+Faad2 includes code for SBR (HE AAC) decoding.

+ 1 - 0
kdenlive/faad2/faad2-2.7.tar.bz2.md5

@@ -0,0 +1 @@
+4c332fa23febc0e4648064685a3d4332  faad2-2.7.tar.bz2

+ 119 - 0
kdenlive/faad2/faad2.SlackBuild

@@ -0,0 +1,119 @@
+#!/bin/sh
+
+# Slackware build script for faad2
+
+# Copyright 2007  Niklas "Nille" Åkerström
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by jpantinoux arllinux <sloteur@free.fr>
+
+PRGNAM=faad2
+VERSION=${VERSION:-2.7}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_arllinux}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/arllinux}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+set -e
+
+if [ ! -r $PRGNAM-$VERSION.tar.bz2 ] ; then
+  wget -c $PRGNAM-$VERSION.tar.bz2
+fi
+
+md5sum -c $PRGNAM-$VERSION.tar.bz2.md5
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+  -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --enable-shared=yes \
+  --enable-static=no \
+  --build=$ARCH-slackware-linux
+
+# This option is supposed to enable support for decoding Digital Radio Mondiale,
+# but actually breaks the base functionality. -HW
+# --with-drm
+
+make
+make install-strip DESTDIR=$PKG
+
+# Compress man pages
+mv $PKG/usr/man/manm $PKG/usr/man/man1
+rename .man .1 $PKG/usr/man/man1/*.man
+( cd $PKG/usr/man
+  find . -type f -exec gzip -9 {} \;
+  for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO docs/* \
+  $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}
+
+if [ "$1" = "--cleanup" ]; then
+	 rm -rf $PKG $TMP/$PRGNAM-$VERSION
+ fi

+ 10 - 0
kdenlive/faad2/faad2.info

@@ -0,0 +1,10 @@
+PRGNAM="faad2"
+VERSION="2.7"
+HOMEPAGE="http://www.audiocoding.com/"
+DOWNLOAD="http://downloads.sourceforge.net/faac/faad2-2.7.tar.bz2"
+MD5SUM="4c332fa23febc0e4648064685a3d4332"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Niklas 'Nille' Åkerström"
+EMAIL="nille.kungen[AT]gmail.com"

+ 19 - 0
kdenlive/faad2/slack-desc

@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+     |-----handy-ruler------------------------------------------------------|
+faad2: Faad2 (MPEG2 and MPEG-4 AAC decoder)
+faad2:
+faad2: Faad2 is a HE, LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC
+faad2: decoder.  Faad2 includes code for SBR (HE AAC) decoding.
+faad2:
+faad2: http://www.audiocoding.com/
+faad2: http://sourceforge.net/projects/faac/
+faad2:
+faad2:
+faad2:
+faad2:

+ 20 - 0
kdenlive/kdenlive/doinst.sh

@@ -0,0 +1,20 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+  if [ -x /usr/bin/gtk-update-icon-cache ]; then
+    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+  fi
+fi
+
+if [ -e usr/share/icons/oxygen/icon-theme.cache ]; then
+  if [ -x /usr/bin/gtk-update-icon-cache ]; then
+    /usr/bin/gtk-update-icon-cache usr/share/icons/oxygen >/dev/null 2>&1
+  fi
+fi
+

BIN
kdenlive/kdenlive/kdenlive-0.9.6.tar.bz2


+ 1 - 0
kdenlive/kdenlive/kdenlive-0.9.6.tar.bz2.md5

@@ -0,0 +1 @@
+3bd3a511b860490acc367e7c9d7ffa43  kdenlive-0.9.6.tar.bz2

+ 104 - 0
kdenlive/kdenlive/kdenlive.SlackBuild

@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for kdenlive
+
+# +---------------------------------------+
+# stormtracknole stormtracknole@gmail.com
+# 8/5/2009
+# +---------------------------------------+
+# May 16, 2011
+#	*Upgraded to version 0.8.
+#	*qjson added as a new dependency.
+# +---------------------------------------+
+# Dec 14, 2011
+#	*Upgraded to version 0.8.2
+# +---------------------------------------+
+# Jul 2, 2012
+#	*Upgraded to version 0.9.2
+#	*Hosting location of the src file
+#	 changed.
+#	*Upstream is now tarring files as
+#	 bz2 instead of gz.
+# +---------------------------------------+
+#
+# Modified by jpantinoux arllinux <sloteur@free.fr>
+
+PRGNAM=kdenlive
+VERSION=${VERSION:-0.9.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_arllinux}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/arllinux}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+set -e
+
+if [ ! -r $PRGNAM-$VERSION.tar.bz2 ] ; then
+  wget -c $PRGNAM-$VERSION.tar.bz2
+fi
+
+md5sum -c $PRGNAM-$VERSION.tar.bz2.md5
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+  -DCMAKE_INSTALL_PREFIX=/usr \
+  -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+  -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+  -DCMAKE_VERBOSE_MAKEFILE=ON \
+  .
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}

+ 10 - 0
kdenlive/kdenlive/kdenlive.info

@@ -0,0 +1,10 @@
+PRGNAM="kdenlive"
+VERSION="0.9.6"
+HOMEPAGE="http://www.kdenlive.org/"
+DOWNLOAD="http://download.kde.org/stable/kdenlive/0.9.6/src/kdenlive-0.9.6.tar.bz2"
+MD5SUM="3bd3a511b860490acc367e7c9d7ffa43"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="amrnb dvdauthor dvgrab faac faad2 gsm lame mlt recordmydesktop schroedinger x264 xvidcore"
+MAINTAINER="stormtracknole"
+EMAIL="stormtracknole@gmail.com"

+ 19 - 0
kdenlive/kdenlive/slack-desc

@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+        |-----handy-ruler------------------------------------------------------|
+kdenlive: Kdenlive (KDE Non Linear Video Editor)
+kdenlive:
+kdenlive: Using the MLT video  framework. It is  currently  under  development
+kdenlive: Kdenlive  provides dual  video  monitors, a multi-track timeline and
+kdenlive: clip list. Other features include customizable layout support, basic
+kdenlive: effects and transition.
+kdenlive:
+kdenlive:
+kdenlive:                    http://kdenlive.sourceforge.net
+kdenlive:
+kdenlive:

+ 1 - 0
kdenlive/recordmydesktop/.gitignore

@@ -0,0 +1 @@
+recordmydesktop-*.tar.gz

+ 7 - 0
kdenlive/recordmydesktop/README

@@ -0,0 +1,7 @@
+recordmydesktop (record desktop sessions to an Ogg-Theora-Vorbis file)
+
+recordMyDesktop produces a file (default out.ogg) that contains a video
+and audio recording of a desktop session. It attempts to be easy to
+use, yet also effective at it's primary task.
+
+You may consider using the front-end qt-recordmydesktop.

+ 1 - 0
kdenlive/recordmydesktop/recordmydesktop-0.3.8.1.tar.gz.md5

@@ -0,0 +1 @@
+6998b165540598965499bd99d8aa0eef  recordmydesktop-0.3.8.1.tar.gz

+ 94 - 0
kdenlive/recordmydesktop/recordmydesktop.SlackBuild

@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for recordMydesktop
+
+# Written by Guilherme Portalegre <deltas4@gmail.com>
+
+# Updated for Slackware-13.0 (nothing to do really...)
+# by Michales Michaloudes <korgie@gmail.com>
+#
+# Modified by jpantinoux arllinux <sloteur@free.fr>
+
+PRGNAM=recordmydesktop
+VERSION=0.3.8.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_arllinux}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/arllinux}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+set -e
+
+if [ ! -r $PRGNAM-$VERSION.tar.gz ] ; then
+  wget -c $PRGNAM-$VERSION.tar.gz
+fi
+
+md5sum -c $PRGNAM-$VERSION.tar.gz.md5
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fixup xextproto rearrangement issues - thanks to the Gentoo guys for the tip
+sed -i -e 's:shmstr.h:shmproto.h:g' src/rmd_{getzpixmap.c,update_image.c}
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --docdir=/usr/doc/$PRGNAM-$VERSION \
+  --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+strip --strip-unneeded $PKG/usr/bin/$PRGNAM
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+  $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}

+ 10 - 0
kdenlive/recordmydesktop/recordmydesktop.info

@@ -0,0 +1,10 @@
+PRGNAM="recordmydesktop"
+VERSION="0.3.8.1"
+HOMEPAGE="http://sourceforge.net/projects/recordmydesktop/"
+DOWNLOAD="http://downloads.sourceforge.net/recordmydesktop/recordmydesktop-0.3.8.1.tar.gz"
+MD5SUM="6998b165540598965499bd99d8aa0eef"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Guilherme Portalegre"
+EMAIL="deltas4@gmail.com"

+ 19 - 0
kdenlive/recordmydesktop/slack-desc

@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+               |-----handy-ruler------------------------------------------------------|
+recordmydesktop: recordmydesktop (a desktop session recorder)
+recordmydesktop:
+recordmydesktop: recordMyDesktop is a desktop session recorder for GNU/Linux
+recordmydesktop: that attemps to be easy to use, yet also effective at it's
+recordmydesktop: primary task.
+recordmydesktop:
+recordmydesktop:
+recordmydesktop:
+recordmydesktop:
+recordmydesktop:
+recordmydesktop: